log4cplus::spi::LocalFactoryBase< ProductFactoryBase > Class Template Reference

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::LocalFactoryBase< ProductFactoryBase >:
[legend]

## Public Member Functions

| LocalFactoryBase (tchar const *n)
virtual log4cplus::tstring const & | getTypeName () const

## Detailed Description

template<typename ProductFactoryBase>
class log4cplus::spi::LocalFactoryBase< ProductFactoryBase >

Definition at line 213 of file factory.h.

## Constructor & Destructor Documentation

## LocalFactoryBase()

template<typename ProductFactoryBase>

log4cplus::spi::LocalFactoryBase< ProductFactoryBase >::LocalFactoryBase | ( | tchar const * | n | ) |

inline

Definition at line 217 of file factory.h.

Referenced by log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >::FactoryTempl().

## Member Function Documentation

## getTypeName()

template<typename ProductFactoryBase>

virtual log4cplus::tstring const & log4cplus::spi::LocalFactoryBase< ProductFactoryBase >::getTypeName | ( |  | ) | const

inline virtual

Definition at line 221 of file factory.h.

The documentation for this class was generated from the following file:

- factory.h